Subject: [Bug 220407] arch/powerpc/boot/types.h:43:13: error: 'bool' cannot be defined via 'typedef' when building with GCC 15

From: [email-masked]
Date: Mon, 04 Aug 2025 19:05:34 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=220407

--- Comment #2 from Avraham Hollander ([email-masked]) ---
(In reply to Christophe Leroy from comment #1)
> This is fixed with commit
> https://github.com/torvalds/linux/commit/
> 5a821e2d69e26b51b7f3740b6b0c3462b8cacaff

Oh now I see that that commit is already present in Linux 6.16 but not 6.15.x.
Not sure how I missed that. It should probably be backported at some point but
for now I can just patch it myself.

So -std=gnu11 goes to BOOTCFLAGS, not KBUILD_CFLAGS. Makes sense. Thanks for
pointing me to the patch.

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.